{ lib, config, ... }: {
  config = lib.mkIf (config.syscfg.net.wlp.enable) {
    networking.supplicant = {
      "${config.syscfg.net.wlp.nif}" = {
        configFile.path = config.sops.secrets.wifi.path;
        extraConf = ''
          network={
              ssid="test"
              psk="12345678"
          }
          network={
              ssid="WIFIonICE"
          }
          network={
              ssid="JR-EAST_FREE_Wi-Fi"
          }
          network={
              ssid="JR-WEST_FREE_Wi-Fi"
          }
          network={
              ssid="tabinohotel"
              psk="tabinohotel"
          }
          network={
              ssid="comforthotel" 
              psk="comforthotel"
          }
          network={
              ssid="sotetsu-hotels" 
              psk="sotetsux"
          }
        '';
      };
    };
  };
}
