{ nix-colors, ... }: 
let use_pastelle = true;
in{
  # usage:  a = "#${config.colorScheme.palette.base00}";

  colorScheme = {
    slug = "sorahiro";
    name = "sorahiro";
    author = "Soraefir @ Helcel";
    variant = "dark";
    palette = rec {
      # Format: Name, Pantone, RAL
      base00 = "#000000"; # Black / 419C / 9005
      base01 = "#060a0f"; # Rich Black / 532C / 9005
      base02 = "#212c38"; # Yankees Blue / 433C / 5011
      base03 = "#3f5268"; # Police Blue  / 432C / 5000
      base04 = "#617b9a"; # Slate Gray  / 5415C / 5014
      base05 = "#90a7c1"; # Pewter Blue / 535C / 5024
      base06 = "#c9d3df"; # Columbia Blue / 538C / 7047
      base07 = "#fcfcfc"; # Lotion / 663C / 9016
      alt00 = "#000000"; # Black / 419C / 9005
      alt01 = "#0c0906"; # Vampire Black  / 419C / 9005
      alt02 = "#312920"; # Pine Tree / 440C / 6022
      alt03 = "#5b4e3e"; # Olive Drab Camouflage / 411C / 7013
      alt04 = "#887660"; # Shadow / 404C / 7002
      alt05 = "#b8a083"; # Pale Taupe / 480C / 1019
      alt06 = "#e1cfb9"; # Desert Sand / 482C / 1015
      alt07 = "#fcfcfc"; # Lotion / 663C / 9016

      base08 = if use_pastelle then low08 else high08;
      base09 = if use_pastelle then low09 else high09;
      base0A = if use_pastelle then low0A else high0A;
      base0B = if use_pastelle then low0B else high0B;
      base0C = if use_pastelle then low0C else high0C;
      base0D = if use_pastelle then low0D else high0D;
      base0E = if use_pastelle then low0E else high0E;
      base0F = if use_pastelle then low0F else high0F;

      high08 = "#f09732"; # Deep Saffron / 804C / 1033
      high09 = "#f2d831"; # Dandelion / 114C / 1016
      high0A = "#98f12f"; # Green Lizard  / 375C / 6038
      high0B = "#34f4f0"; # Fluorescent Blue  / 3252C / 6027
      high0C = "#3193f5"; # Brilliant Azure / 2727C / 5015
      high0D = "#c156f6"; # Blue-Violet / 2592C / 4006
      high0E = "#f62ac0"; # Royal Pink / 807C / 4010
      high0F = "#f42060"; # Deep Carmine Pink / 1925C / 3018
      alt_high08 = "#f66824"; # Orange-Red / 165C / 2008
      alt_high0B = "#41f3a4"; # Eucalyptus / 3395C / 6037
      alt_high0C = "#2abef8"; # Spiro Disco Ball / 298C / 5012
      alt_high0D = "#837ff5"; # Violets Are Blue / 814C / 4005

      low08 = "#ffac56"; # Rajah  / 150C / 1017
      low09 = "#feea74"; # Shandy  / 127C / 1016
      low0A = "#bffe8a"; # Menthol  / 374C / 6018
      low0B = "#4cfefa"; # Electric Blue / 3252C / 6027
      low0C = "#62acfd"; # Blue Jeans / 279C / 5012
      low0D = "#9b9bfd"; # Maximum Blue Purple  / 2715C / 4005
      low0E = "#fe9bda"; # Lavender Rose / 223C / 4003
      low0F = "#fc8999"; # Tulip / 1775C / 3014
      alt_low08 = "#fe946a"; # Atomic Tangerine / 811C / 1034
      alt_low0B = "#87febf"; # Aquamarine / 353C / 6019
      alt_low0C = "#38c3fd"; # Picton Blue / 298C / 5012
      alt_low0D = "#dca2ff"; # Mauve / 2572C / 4005

    };
  };
}
